group = "rip.iwakura"
version = "0.1.0"

plugins {
    java
    id("com.gradleup.shadow") version "8.3.6"
    id("de.eldoria.plugin-yml.paper") version "0.7.1"
}

repositories {
    mavenCentral()
    maven {
        name = "papermc"
        url = uri("https://repo.papermc.io/repository/maven-public/")
    }
}

paper {
    main = "rip.iwakura.civil.Core"
    authors = listOf("hex", "grng")
    apiVersion = "1.21"
}

tasks {
    register<Copy>("copyToServer") {
        from(shadowJar) 
        destinationDir = File("server/plugins")
    }
    build {
        dependsOn(shadowJar)
    }
}

dependencies {
    compileOnly("io.papermc.paper:paper-api:1.21.4-R0.1-SNAPSHOT")
    implementation("com.j256.ormlite", "ormlite-jdbc", "6.1")
    implementation("org.postgresql", "postgresql", "42.7.5")
    library("com.google.code.gson", "gson", "2.10.1") // All platform plugins
}

java {
    toolchain.languageVersion.set(JavaLanguageVersion.of(21))
}
