package rip.iwakura.civil;

import java.sql.SQLException;
import java.util.logging.Level;

import org.bukkit.Bukkit;
import org.bukkit.plugin.java.JavaPlugin;

import io.papermc.paper.plugin.lifecycle.event.types.LifecycleEvents;
import rip.iwakura.civil.events.ChatHandler;
import rip.iwakura.civil.commands.Team;
import rip.iwakura.civil.events.JoinHandler;

public class Core extends JavaPlugin {
    public Database database;

    @Override
    public void onEnable() {
        getLogger().info("Hello world! We are booting up...");

        saveDefaultConfig();

        try {
            this.database = new Database(getConfig().getString("database.url"));
        } catch (SQLException e) {
            getLogger().log(Level.SEVERE, e.getMessage());
            Bukkit.getPluginManager().disablePlugin(this);

            return;
        }

        Team teamCommand = new Team(database);

        this.getLifecycleManager().registerEventHandler(LifecycleEvents.COMMANDS, commands -> {
            commands.registrar().register(teamCommand.getCommand());
        });

        getServer().getPluginManager().registerEvents(new JoinHandler(database), this);
        getServer().getPluginManager().registerEvents(new ChatHandler(this), this);
    }
}
